petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMCompositeGetLocalISs

Gets index sets for each component of a composite local vector

### Synopsis

    #include "petscdmcomposite.h"
    PetscErrorCode  DMCompositeGetLocalISs(DM dm,IS **is)

Not Collective Many br

### Input Arguments

dm -composite DM Many br

### Output Arguments

is -array of serial index sets for each each component of the DMComposite Many br

Many br

### Notes

At present, a composite local vector does not normally exist. This function is used to provide index sets for Many brMatGetLocalSubMatrix(). In the future, the scatters for each entry in the DMComposite may be be merged into a single Many brscatter to a composite local vector. The user should not typically need to know which is being done. Many br

To get the composite global indices at all local points (including ghosts), use DMCompositeGetISLocalToGlobalMappings(). Many br

To get index sets for pieces of the composite global vector, use DMCompositeGetGlobalISs(). Many br

Each returned IS should be destroyed with ISDestroy(), the array should be freed with PetscFree(). Many br

### See Also

DMCompositeGetGlobalISs(), DMCompositeGetISLocalToGlobalMappings(), MatGetLocalSubMatrix(), MatCreateLocalRef()

Level:intermediate
Location:src/dm/impls/composite/pack.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex28.c.html
src/ts/examples/tutorials/ex14.c.html